#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: aeson
version: 0.8.0.2
id: aeson-0.8.0.2-a92a664f8d2502d9804287a38e493850
key: aeson_DIEa3Sufx1r590sbWNooBS
license: BSD3
copyright: (c) 2011-2014 Bryan O'\''Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
synopsis: Fast JSON parsing and encoding
description:
    A JSON parsing and encoding library optimized for ease of use
    and high performance.
    .
    To get started, see the documentation for the @Data.Aeson@ module
    below.
    .
    Parsing performance on an early 2011 MacBook Pro (2.2GHz Core i7),
    running 64-bit GHC 7.6.3, for mostly-English tweets from Twitter'\''s
    JSON search API:
    .
    * 0.8 KB: 34124 msg\/sec (27.8 MB\/sec)
    .
    * 6.4 KB: 6833 msg\/sec (43.0 MB\/sec)
    .
    * 11.8 KB: 3410 msg\/sec (39.2 MB\/sec)
    .
    * 31.2 KB: 1157 msg\/sec (35.3 MB\/sec)
    .
    * 61.5 KB: 542 msg\/sec (32.5 MB\/sec)
    .
    Handling heavily-escaped text is a little more work.  Here is
    parsing performance with Japanese tweets, where much of the text
    is entirely Unicode-escaped.
    .
    * 14.6 KB: 2101 msg\/sec (30.0 MB\/sec)
    .
    * 44.1 KB: 667 msg\/sec (28.7 MB\/sec)
    .
    * 82.9 KB: 360 msg\/sec (29.2 MB\/sec)
    .
    Encoding performance on the same machine and data:
    .
    * English, 0.8 KB: 109697 msg\/sec (89.3 MB\/sec)
    .
    * English, 6.4 KB: 18517 msg\/sec (116.4 MB\/sec)
    .
    * Engish, 61.5 KB: 1963 msg\/sec (118.0 MB\/sec)
    .
    * Japanese, 14.6 KB: 12140 msg\/sec (173.5 MB\/sec)
    .
    * Japanese, 44.1 KB: 3980 msg\/sec (171.3 MB\/sec)
    .
    (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
exposed-modules:
    Data.Aeson Data.Aeson.Encode Data.Aeson.Generic Data.Aeson.Parser
    Data.Aeson.Types Data.Aeson.TH
hidden-modules: Data.Aeson.Encode.ByteString Data.Aeson.Functions
                Data.Aeson.Parser.Internal Data.Aeson.Types.Class
                Data.Aeson.Types.Generic Data.Aeson.Types.Instances
                Data.Aeson.Types.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/aeson-0.8.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/aeson-0.8.0.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/aeson-0.8.0.2
hs-libraries: HSaeson-0.8.0.2-DIEa3Sufx1r590sbWNooBS
include-dirs: /usr/local/include
depends:
    attoparsec-0.12.1.6-afc89750d5b2dfe5c23c97630edee83d
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    dlist-0.7.1.1-342b22cdd1ed9589a646352bc65cce55
    ghc-prim-0.4.0.0-2dabcc93617d9a564f2855dd307d7dfb
    hashable-1.2.3.3-c9c80f60fec1c2bfec8f21d0ecd5aacc
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    scientific-0.3.3.8-f715499ed9a4c40fa218f230e9906803
    syb-0.5.1-2e49af2beee81e7226b33f3dd6f23ae6
    template-haskell-2.10.0.0-50be769ad8939d8e8caca364b0b694f2
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    unordered-containers-0.2.5.1-335583f000f0fa5722ec79c17794446a
    vector-0.10.12.3-27897745aebd646b98c12ed0d61390a9
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/aeson-0.8.0.2/html/aeson.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/aeson-0.8.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
